--- old/usr/src/man/man2/processor_bind.2	Mon Dec 28 11:22:41 2015
+++ new/usr/src/man/man2/processor_bind.2	Mon Dec 28 11:22:41 2015
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PROCESSOR_BIND 2 "Mar 13, 2009"
+.TH PROCESSOR_BIND 2 "Dec 27, 2015"
 .SH NAME
 processor_bind \- bind LWPs to a processor
 .SH SYNOPSIS
@@ -18,7 +18,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBprocessor_bind()\fR function binds the LWP (lightweight process) or set
 of LWPs specified by \fIidtype\fR and \fIid\fR to the processor specified by
@@ -60,7 +59,7 @@
 specified LWPs are cleared.
 .sp
 .LP
-If  \fIprocessorid\fR is \fBPBIND_QUERY\fR, the processor bindings are not
+If \fIprocessorid\fR is \fBPBIND_QUERY\fR, the processor bindings are not
 changed.
 .sp
 .LP
@@ -74,12 +73,10 @@
 .LP
 Processor bindings are inherited across \fBfork\fR(2) and \fBexec\fR(2).
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, \fB0\fR is returned.  Otherwise, \fB\(mi1\fR is
 returned and  \fBerrno\fR is set to indicate the error.
 .SH ERRORS
-.sp
 .LP
 The \fBprocessor_bind()\fR function will fail if:
 .sp
@@ -88,7 +85,7 @@
 \fB\fBEFAULT\fR\fR
 .ad
 .RS 11n
-The location pointed to by  \fIobind\fR was not \fINULL\fR and not writable by
+The location pointed to by \fIobind\fR was not \fINULL\fR and not writable by
 the user.
 .RE
 
@@ -98,12 +95,13 @@
 \fB\fBEINVAL\fR\fR
 .ad
 .RS 11n
-The specified processor is not on-line, or the \fIidtype\fR argument was not
-\fBP_PID\fR, \fBP_LWPID\fR, \fBP_PROJID\fR, \fBP_TASKID\fR, \fBP_CTID\fR, or
-\fBP_ZONEID\fR.
+The processor is not on-line.
 .sp
-The caller is in a non-global zone, the pools facility is active, and the
-processor is not a member of the zone's pool's processor set.
+The LWP is bound to a processor set or resource pool for which the
+processor is not a member.
+.sp
+The \fIidtype\fR argument is not \fBP_PID\fR, \fBP_LWPID\fR,
+\fBP_PROJID\fR, \fBP_TASKID\fR, \fBP_CTID\fR, or \fBP_ZONEID\fR.
 .RE
 
 .sp
@@ -133,12 +131,10 @@
 .ad
 .RS 11n
 No processes, \fBLWP\fRs, or tasks were found to match the criteria specified
-by \fIidtype\fR and  \fIid\fR.
+by \fIidtype\fR and \fIid\fR.
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -155,8 +151,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBpooladm\fR(1M), \fBpsradm\fR(1M), \fBpsrinfo\fR(1M), \fBzoneadm\fR(1M),
 \fBexec\fR(2), \fBfork\fR(2), \fBp_online\fR(2), \fBpset_bind\fR(2),
 \fBsysconf\fR(3C), \fBprocess\fR(4), \fBproject\fR(4), \fBattributes\fR(5),
